%define major_version	3
%define minor_version	2
%define revision	8

Summary:	Utilities for monitoring your system and processes on your system
Name:		procps
Version:	%{major_version}.%{minor_version}.%{revision}
Release:	%mkrel 6.2
License:	GPL
Group:		Monitoring
BuildRequires:	ncurses-devel
Patch0:		procps-3.2.3-sysctlshutup.patch
Patch2:		procps-3.2.7-dont-strip.patch
Patch3:		procps-3.2.5-top-rc.patch
Patch4:		procps-3.2.5-sysctl-writeonly.patch
Patch5:    	procps-3.2.7-fix-format-string.patch
Patch6:		procps-3.2.7-sysctl-ignore.patch
# (bor) two patches based of Fedora to add cgroup support
Patch7:		procps-3.2.8-ps-cgroup.patch
Patch8:		procps-3.2.8-ps-cgroup-suppress-root-group.patch
# (bor) glob order is non-determistic; inlucde proc/module.mk before ps
Patch9:		procps-3.2.8-fix-modules.mk-order.patch
# (bor) make sure linux_version is known when we need it
#       it appears order of execution for constructors may change between
#       GCC/binutils/ld versions (not sure who is responsible here)
Patch10:	procps-3.2.8-init_Linux_version-before-init_libproc.patch
URL:		http://procps.sf.net/
Source:		http://procps.sourceforge.net/%name-%version.tar.gz
BuildRoot:	%_tmppath/%name-root
Provides:	libproc.so.%{major_version}.%{minor_version} procps3
Obsoletes:	procps3
# /bin/rm
Requires(pre):	filesystem >= 2.1.9-18
Requires(post): coreutils

%description
The procps package contains a set of system utilities which provide system
information.

Procps includes ps, free, skill, snice, tload, top, uptime, vmstat, w
and watch.

  * The ps command displays a snapshot of running processes.
  * The top command provides a repetitive update of the statuses of running
    processes.
  * The free command displays the amounts of free and used memory on your
    system.
  * The skill command sends a terminate command (or another specified signal)
    to a specified set of processes.
  * The snice command is used to change the scheduling priority of specified
    processes.
  * The tload command prints a graph of the current system load average to a
    specified tty.
  * The uptime command displays the current time, how long the system has been
    running, how many users are logged on and system load averages for the past
    one, five and fifteen minutes. 
  * The w command displays a list of the users who are currently logged on and
    what they're running.
  * The watch program watches a running program.
  * The vmstat command displays virtual memory statistics about processes,
    memory, paging, block I/O, traps and CPU activity.


%package devel
Group:		Development/C
Summary:	An X based system message monitoring utility
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%name = %version

%description devel
Development headers and library for the proc library.

%prep
%setup -q
%patch0 -p0 -b .sysctl
%patch2 -p1 -b .dont-strip
%patch3 -p1 -b .top-rc
%patch4 -p1 -b .sysctl-write-only
%patch5 -p0
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
PATH=/sbin:$PATH
rm -rf %{buildroot}

%makeinstall_std ldconfig=/bin/true install="install -D"


mkdir -p %{buildroot}%{_includedir}/procps
install -m 644 proc/*.h %{buildroot}%{_includedir}/procps

# This would conflict with util-linux:
mv %{buildroot}/%{_mandir}/man1/{,procps3-}kill.1
mv %{buildroot}/bin/kill %{buildroot}%{_bindir}/procps3-kill

mv %{buildroot}/bin/ps %{buildroot}%{_bindir}/
mkdir %{buildroot}%{_sbindir}
mv %{buildroot}/sbin/sysctl %{buildroot}%{_sbindir}/

mkdir %{buildroot}%{_libdir}
mv %{buildroot}/%{_lib}/libproc-*.so  %{buildroot}%{_libdir}
ln -s libproc-%version.so %{buildroot}%{_libdir}/libproc.so

# quiet spec-helper:
chmod +w %{buildroot}{%_bindir,%_sbindir,%_libdir}/*

%clean
rm -rf %{buildroot}

%files

%defattr(-,root,root)
%doc NEWS BUGS TODO
%{_libdir}/libproc-*.so
%_sbindir/sysctl
%_bindir/ps
%_bindir/procps3-kill
%_bindir/free
%_bindir/pgrep
%_bindir/pmap
%_bindir/pwdx
%_bindir/pkill
%_bindir/skill
%_bindir/slabtop
%_bindir/snice
%_bindir/tload
%_bindir/top
%_bindir/uptime
%_bindir/vmstat
%_bindir/w
%_bindir/watch

%_mandir/man1/ps.1*
%_mandir/man1/procps3-kill.1*
%_mandir/man1/free.1*
%_mandir/man1/pgrep.1*
%_mandir/man1/pkill.1*
%_mandir/man1/pmap.1*
%_mandir/man1/pwdx.1*
%_mandir/man1/skill.1*
%_mandir/man1/slabtop.1*
%_mandir/man1/snice.1*
%_mandir/man1/tload.1*
%_mandir/man1/top.1*
%_mandir/man1/uptime.1*
%_mandir/man1/w.1*
%_mandir/man1/watch.1*

%_mandir/man5/sysctl.conf.5*

%_mandir/man8/sysctl.8*
%_mandir/man8/vmstat.8*

%files devel
%defattr(-,root,root)
%{_includedir}/procps/*
%_libdir/libproc.so






%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.2.8-6.2.mga3
+ Revision: 378228
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 21 2012 colin <colin> 3.2.8-6.1.mga3
+ Revision: 273158
- Update for usrmove

  + blino <blino>
    - remove old psdevtab/psdatabase removal in post
    - remove old ldconfig scriptlets

  + tmb <tmb>
    - imported package procps

